This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107112 - SIGSEGV on quitting gdb
SIGSEGV on quitting gdb
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-15 02:29 EDT by Tsukahara Ken
Modified: 2007-04-18 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:35:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tsukahara Ken 2003-10-15 02:29:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Recent gdb does not create correct ELF32 file.
(1) set write on
(2) load an ELF32 executable
(3) set value of an global variable
(4) quit
(5) always dumps core (SIGSEGV)

I have reported the problem to GDB Bug Database, and posted a quick fix today.
http://sources.redhat.com/cgi-bin/gnatsweb.pl
View Problem Report: #1410


Version-Release number of selected component (if applicable):
gdb-5.3post-0.20021129.18

How reproducible:
Always

Steps to Reproduce:
See GDB Bug Database #1410.
http://sources.redhat.com/cgi-bin/gnatsweb.pl


Additional info:
Comment 1 Jan Kratochvil 2006-07-24 06:45:06 EDT
FC5 gdb-6.3.0.0-1.122 no longer segfaults although it is probably due to:
(gdb) set write on
(gdb) set symbol1=1
Cannot access memory at address 0x80495b8

so the bug is just a different type, it is disfunctionality, not a crash.  Fix
still TBD.
Comment 2 Bill Nottingham 2006-08-04 23:39:18 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 13:35:29 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.